<?php

use App\Http\Controllers\Banks\CreateBankController;
use App\Http\Controllers\Banks\DeleteBankController;
use App\Http\Controllers\Banks\ListBanksController;
use App\Http\Controllers\Banks\SetBankToDefaultController;
use App\Http\Controllers\Banks\UpdateBankController;
use App\Http\Controllers\Banks\UpdateBankMetadataController;
use App\Http\Controllers\Banks\UpdateBankStatusController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'bank', 'as' => 'bank.'], function () {
    Route::get('/list', [ListBanksController::class, 'list'])->name('list');
    Route::post('/create', [CreateBankController::class, 'create'])->name('create');
    Route::put('/update/{id}', [UpdateBankController::class, 'update'])->name('update');
    Route::put('/{id}/default', [SetBankToDefaultController::class, 'update'])->name('default');
    Route::delete('/delete/{id}', [DeleteBankController::class, 'delete'])->name('delete');

    Route::put('/update/{id}/status', [UpdateBankStatusController::class, 'update'])->name('status.update');

    Route::post('/metadata/update/{id}', [UpdateBankMetadataController::class, 'delete'])->name('update.metadata');
});
